Subject: Re: linux-next: manual merge of the xarray tree with the kselftest tree

From: Shuah Khan <[email-masked]>
Date: Tue, 14 Dec 2021 10:06:43 -0700

On 12/14/21 9:54 AM, Matthew Wilcox wrote:
> On Tue, Dec 14, 2021 at 09:39:25AM -0700, Shuah Khan wrote:
>> On 12/13/21 3:24 PM, [email-masked] wrote:
>>> Hi all,
>>>
>>> Today's linux-next merge of the xarray tree got a conflict in:
>>>
>>>     tools/include/linux/kernel.h
>>>
>>> between commits:
>>>
>>>     d6e6a27d960f9 ("tools: Fix math.h breakage")
>>>     066b34aa5461f ("tools: fix ARRAY_SIZE defines in tools and selftests hdrs")
>>>
>>> from the kselftest and origin trees and commit:
>>>
>>>     f2aa11fd51440 ("tools: Fix math.h breakage")
>>>
>>> from the xarray tree.
> 
> I've dropped that commit from the XArray tree since d6e6a27d960f9
> was essentially f2aa11fd51440 applied to Linus' tree.  The only change
> left in the XArray tree today is a documentation update.
> 
>> Thank you. I will keep track of this when I send pull request.
> 
> As long as what you have merges cleanly against Linus' tree (and I see
> the "conflict" -- __round_mask() is defined adjacent to ARRAY_SIZE()),
> then it'll be fine.  You might want to rebase to a more recent Linus
> tree to get rid of the conflict.
> 

When I applied on rc4 base, I didn't see any problems. This is a minor
one - I can mention this when I send my pull request. Shouldn't be a
problem.

thanks,
-- Shuah